Subject: Re: bug#25542: 25.1; Restoring the frame from fullscreen to maximized

From: Dani Moncayo <[email-masked]>
Date: Fri, 27 Jan 2017 09:03:41 +0100

> (1) What is the appearance of the maximize button after step 3?  Does it
>     show two overlapping windows or one large window?

The button shows a single box.- i.e., the window state is _not_ maximized.

> (2) How do the frames from before step 2 and after step 3 differ?
>     Please use M-: (frame-geometry) and post the ‘outer-position’ and
>     ‘outer-size’ values.

The frames are exactly equal.  Both in size and positon on the screen.

> (3) Apart from the problem you reported do
>
>     M-: (set-frame-parameter nil 'fullscreen 'maximized)
>
>     and clicking on the maximize button of the title bar produce frames
>     with the same size and position?

Yes.  Both are maximized frames, which take up the entire screen
except the taskbar.

> (4) Does setting ‘frame-resize-pixelwise’ to t change anything?

No (the problem persists after setting that variable to t).

> (5) Can you try with a native Windows build or a GTK build and see
>     whether they exhibit the same problem?

This was answered in a previous mail.  The problem is reproducible
also with a native windows build.

-- 
Dani Moncayo